Kerbal Space Program - Bug #5967

Lagging
11/18/2015 08:42 PM - lynk101

Status: Not a Bug Start date: 11/18/2015
Severity: Very Low % Done: 0%
Assignee:

Category: Parts

Target version:

Version: 1.0.5 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

i just lags like crazy, i have almost no mods, which is not the problem. im just gonna show you so i don't have to type it.

History

#1 - 11/18/2015 10:24 PM - sal_vager
- Category changed from 293 to Application
- Status changed from New to Need More Info

- Severity changed from High to Very Low

Hi lynk101.

Please reproduce this issue with an unmodded copy of KSP and a new save and provide a more thorough report, as per the bug tracker guidelines.

http://bugs.kerbalspaceprogram.com/projects/ksp/wiki

#2 - 11/18/2015 10:27 PM - ToneStack
- Category changed from Application to Parts

- Severity changed from Very Low to Normal

From the information | have been given so far; it seems likely the cause of the issue might be one of the parts of the craft you were trying to launch
not being set up correctly.

Could you upload the .craft file of the ship you were trying to launch from the Launchpad?
This file would be in the "Saves" folder from the ksp main directory.

From there it would be in a folder with the same name you put in at the Career, Sandbox, or Science game you created at the beginning screen of the
game.

And finally inside one more folder titled VAB, what you named your craft before you launched it
This will help us a good deal as we can then figure out if it is a certain part combination causing the error.

| am gonna change the priority for this issue for the time being to Normal, as If you launch a craft with different parts, you may very well not have the
lagging issue.

#3 - 11/20/2015 11:27 AM - sal_vager

- Status changed from Need More Info to Not a Bug

- Severity changed from Normal to Very Low

- % Done changed from 0 to 100
On further investigation this issue turns out to be caused by addons and is not a stock KSP issue
See here

http://forum.kerbalspaceprogram.com/threads/125063-1-0-4-Maritime-Pack-0-1-4-New-Pre-release-Available ?p=2295783&highlight=partbuoyancy#
0st2295783
[QUOTE=Pr0Oph3t;2287889][EXC 21:29:35.048] MissingFieldException: Field '.PartBuoyancy.buoyancyForce' not found.[/QUOTE]

| was getting this error too, and through careful investigation (Read: removing all of my mods and reinstalling them one at a time), | discovered
that Kopernicus was the culprit. If you have the 1.0.4 version of Kopernicus installed, | humbly suggest that it might be causing your problem as

well. There seems to be an updated Kopernicus.dll available
[URL="https://github.com/Kopernicus/Kopernicus/tree/development/Distribution/Development"]here[/URL]

Please ensure your mods are up to date, thank you.
